Bug 25879 - Improve display of guarantor information in the patron entry form
Summary: Improve display of guarantor information in the patron entry form
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-25 21:19 UTC by Caroline Cyr La Rose
Modified: 2021-02-09 11:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Screenshot showing the guarantor section of the patron add form (15.04 KB, image/png)
2020-06-25 21:19 UTC, Caroline Cyr La Rose
Details
Bug 25879: Improve display of guarantor information in the patron entry form (12.29 KB, patch)
2020-07-07 17:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25879: Improve display of guarantor information in the patron entry form (12.22 KB, patch)
2020-07-08 21:13 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 25879: (follow-up) Update overlooked guarantor markup (3.23 KB, patch)
2020-08-08 13:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25879: Improve display of guarantor information in the patron entry form (12.43 KB, patch)
2020-08-10 18:41 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25879: (follow-up) Update overlooked guarantor markup (3.28 KB, patch)
2020-08-10 18:41 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-06-25 21:19:47 UTC
Created attachment 106311 [details]
Screenshot showing the guarantor section of the patron add form

I noticed that the soft blue border that surrounds a guarantor's information in the patron form is slightly larger than the containing box.

To reproduce:
1- Add a patron
2- In guarantor information, search for and add a guarantor
3- Notice that the border surrounding the guarantor is larger than the box for guarantor information
Comment 1 Owen Leonard 2020-07-07 17:13:43 UTC Comment hidden (obsolete)
Comment 2 Caroline Cyr La Rose 2020-07-08 21:13:09 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2020-07-31 17:11:20 UTC
This looks good Owen, but if I start from an adult patron and click 'Add guarantee' I still get the problem in the initial comment
Comment 4 Owen Leonard 2020-08-08 13:34:08 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2020-08-10 18:41:23 UTC
Created attachment 108012 [details] [review]
Bug 25879: Improve display of guarantor information in the patron entry form

This patch makes some changes to the patron entry template to improve
the display of guarantor information.

To test, apply the patch and locate a patron with a "Child" type
category.

 - Edit the patron's record
 - Under "Guarantor information," click the "Search to add" button.
 - Search for and select a patron.
 - The guarantor information should be added to the patron edit
   form. The information should be correct and well formatted.
 - Click the "Remove" link. The guarantor information should be
   removed.
 - Search for an select a guarantor again and save the record.
 - Edit the patron record again. The saved guarantor information should
   look correct.

Looks great!

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Nick Clemens 2020-08-10 18:41:26 UTC
Created attachment 108013 [details] [review]
Bug 25879: (follow-up) Update overlooked guarantor markup

This patch updates another section of guarantor markup which should have
been updated with the others.

To test, apply the patch and locate an adult patron.

 - Click "Add guarantee"
 - Confirm that the part of the form for adding a guarantee looks
   correct.
 - Confirm that the new patron information is saved correctly.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Jonathan Druart 2020-08-13 05:57:25 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-08-17 15:25:11 UTC
enhancement will not be backported to 20.05.x